using System;
using System.IO;
using System.Runtime.Serialization;
using System.Runtime.Remoting;
using System.Runtime.Remoting.Channels;
using System.Runtime.Remoting.Channels.Http;
using DevelopMentor;

public class Client
{
    public static int Main(string [] args)
    {
        HttpChannel chan = new HttpChannel(998);
        ChannelServices.RegisterChannel(chan);

        // Retrieve a reference to the class on the server.
        IDigitSeriesCreator factory = (IDigitSeriesCreator)
            RemotingServices.Connect(typeof(SeriesFactory), args[0]);

        // Ask the server to return a series.
        IDigitSeries series = factory.Create(-5, 5);

        // Tell the series to output itself to stdout.
        series.Output(Console.OpenStandardOutput());
        return 0;
    }
}
